using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class CmInvestigation3CodeGroup {
        public CmInvestigation3CodeGroup() {
            CmInvestigation3 = new HashSet<CmInvestigation3>();
        }

        [Display(Name = "고유번호"), Key]
        public int InvestigationGroupId { get; set; }
        [Display(Name = "정보조사분류명칭"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용 유무")]
        public bool? IsUse { get; set; }

        [InverseProperty("CmInvestigation3CodeGroup")]
        public virtual ICollection<CmInvestigation3> CmInvestigation3 { get; set; }
    }
}
